*clear matrix
clear
program drop _all
log using p6a, replace text
*
* This STATA program explores the relationship between business cycles and protectionism.
* There are a number of perturbations to check for sensitivity.
* This program is a perturbation of p6.do that drops outliers as well.
*
set more 1
set linesize 200
set mem 100m
*
* **********
*
* Read in the data set
*
use \res\wtods\data\datap5
*
* Create time dummies
*
g byte y1950=0
g byte y1951=0
g byte y1952=0
g byte y1953=0
g byte y1954=0
g byte y1955=0
g byte y1956=0
g byte y1957=0
g byte y1958=0
g byte y1959=0
g byte y1960=0
g byte y1961=0
g byte y1962=0
g byte y1963=0
g byte y1964=0
g byte y1965=0
g byte y1966=0
g byte y1967=0
g byte y1968=0
g byte y1969=0
g byte y1970=0
g byte y1971=0
g byte y1972=0
g byte y1973=0
g byte y1974=0
g byte y1975=0
g byte y1976=0
g byte y1977=0
g byte y1978=0
g byte y1979=0
g byte y1980=0
g byte y1981=0
g byte y1982=0
g byte y1983=0
g byte y1984=0
g byte y1985=0
g byte y1986=0
g byte y1987=0
g byte y1988=0
g byte y1989=0
g byte y1990=0
g byte y1991=0
g byte y1992=0
g byte y1993=0
g byte y1994=0
g byte y1995=0
g byte y1996=0
g byte y1997=0
g byte y1998=0
g byte y1999=0
g byte y2000=0
g byte y2001=0
g byte y2002=0
g byte y2003=0
g byte y2004=0
g byte y2005=0
g byte y2006=0
g byte y2007=0
g byte y2008=0
g byte y2009=0

replace y1950=1 if year==1950
replace y1951=1 if year==1951
replace y1952=1 if year==1952
replace y1953=1 if year==1953
replace y1954=1 if year==1954
replace y1955=1 if year==1955
replace y1956=1 if year==1956
replace y1957=1 if year==1957
replace y1958=1 if year==1958
replace y1959=1 if year==1959
replace y1960=1 if year==1960
replace y1961=1 if year==1961
replace y1962=1 if year==1962
replace y1963=1 if year==1963
replace y1964=1 if year==1964
replace y1965=1 if year==1965
replace y1966=1 if year==1966
replace y1967=1 if year==1967
replace y1968=1 if year==1968
replace y1969=1 if year==1969
replace y1970=1 if year==1970
replace y1971=1 if year==1971
replace y1972=1 if year==1972
replace y1973=1 if year==1973
replace y1974=1 if year==1974
replace y1975=1 if year==1975
replace y1976=1 if year==1976
replace y1977=1 if year==1977
replace y1978=1 if year==1978
replace y1979=1 if year==1979
replace y1980=1 if year==1980
replace y1981=1 if year==1981
replace y1982=1 if year==1982
replace y1983=1 if year==1983
replace y1984=1 if year==1984
replace y1985=1 if year==1985
replace y1986=1 if year==1986
replace y1987=1 if year==1987
replace y1988=1 if year==1988
replace y1989=1 if year==1989
replace y1990=1 if year==1990
replace y1991=1 if year==1991
replace y1992=1 if year==1992
replace y1993=1 if year==1993
replace y1994=1 if year==1994
replace y1995=1 if year==1995
replace y1996=1 if year==1996
replace y1997=1 if year==1997
replace y1998=1 if year==1998
replace y1999=1 if year==1999
replace y2000=1 if year==2000
replace y2001=1 if year==2001
replace y2002=1 if year==2002
replace y2003=1 if year==2003
replace y2004=1 if year==2004
replace y2005=1 if year==2005
replace y2006=1 if year==2006
replace y2007=1 if year==2007
replace y2008=1 if year==2008
replace y2009=1 if year==2009
*
* Drop World
*
drop if isocode=="WLD"
*
* Log of Population
*
g lpop=log(pop)
label var lpop "Log pop"
*
* Create exchange rate regime dummies
*
*  LYS3
*
g lys3float=0 if lys3~=.
replace lys3float=1 if lys3==1
label var lys3float "LYS3 Float"

g lys3inter=0 if lys3~=.
replace lys3inter=1 if lys3==2
label var lys3inter "LYS3 Intermediate Regime"
*
* RR
*
g rrcfix=0 if rrcoarse~=.
replace rrcfix=1 if rrcoarse==1
label var rrcfix "Reinhart-Rogoff Coarse Regime: Fix"

g rrccrawlp=0 if rrcoarse~=.
replace rrccrawlp=1 if rrcoarse==2
label var rrccrawlp "Reinhart-Rogoff Coarse Regime: Crawling Peg"

g rrcwidep=0 if rrcoarse~=.
replace rrcwidep=1 if rrcoarse==3
label var rrcwidep "Reinhart-Rogoff Coarse Regime: Wide Peg"

g rrcfloat=0 if rrcoarse~=.
replace rrcfloat=1 if rrcoarse==4
label var rrcfloat "Reinhart-Rogoff Coarse Regime: Float"

g rrcfall=0 if rrcoarse~=.
replace rrcfall=1 if rrcoarse==5
label var rrcfall "Reinhart-Rogoff Coarse Regime: Falling"
*
* Log of real GDP per capita
*
g lrgdpl=log(rgdpl)
label var lrgdpl "Log rgdpl, PWT7"
*
* Log of PWT-PPP undervaluation
*
g lpppdev=log(xrat/ppp)
label var lpppdev "Log(xrat/ppp), PWT7"
*
* Fill in zeros if data available for TTBs
*
replace adc=0 if adc==.&adcavail==1
replace safeg=0 if safeg==.&safega==1
replace safeg=. if gattmbr==""
replace safega=0 if gattmbr==""
replace cvdi=0 if cvdi==.&cvdia==1
* Ditto for WTO Disputes
g numdispw0=numdisp
label var numdispw0 "Number WTO disputes, with zeros"
replace numdispw0=0 if year>1994.5&gattmbr~=""&numdisp==.
replace numdispw0=. if year>1994.5&gattmbr==""
*
* **********
*
* Prepare for Empirics
*
d
sum
sum adc cvdi safeg numdispw0 tarappwghtd tradefreedom
notes
*
* **********
* Run some regressions, all with Country and Time FE
*
* Anti-Dumping Cases initiated
*
sum year if adc~=.

xtreg adc bklrgdp y1978-y2009 if adcavail==1&eu~=1, fe i(isocoden)
xtreg adc cflrgdp y1978-y2009 if adcavail==1&eu~=1, fe i(isocoden)
xtreg adc hplrgdp y1978-y2009 if adcavail==1&eu~=1, fe i(isocoden)
xtreg adc dlrgdp y1978-y2009 if adcavail==1&eu~=1, fe i(isocoden)
xtreg adc dtlrgdp y1978-y2009 if adcavail==1&eu~=1, fe i(isocoden)
*
* Countervailing duties
*
sum year if cvdi~=.

xtreg cvdi bklrgdp y1977-y2009 if cvdia==1&eu~=1, fe i(isocoden)
xtreg cvdi cflrgdp y1977-y2009 if cvdia==1&eu~=1, fe i(isocoden)
xtreg cvdi hplrgdp y1977-y2009 if cvdia==1&eu~=1, fe i(isocoden)
xtreg cvdi dlrgdp y1977-y2009 if cvdia==1&eu~=1, fe i(isocoden)
xtreg cvdi dtlrgdp y1977-y2009 if cvdia==1&eu~=1, fe i(isocoden)
*
* Safeguards
*
sum year if safeg~=.

xtreg safeg bklrgdp y1995-y2009 if safega==1&eu~=1, fe i(isocoden)
xtreg safeg cflrgdp y1995-y2009 if safega==1&eu~=1, fe i(isocoden)
xtreg safeg hplrgdp y1995-y2009 if safega==1&eu~=1, fe i(isocoden)
xtreg safeg dlrgdp y1995-y2009 if safega==1&eu~=1, fe i(isocoden)
xtreg safeg dtlrgdp y1995-y2009 if safega==1&eu~=1, fe i(isocoden)
*
* WTO Disputes
*
sum year if numdispw0~=.

xtreg numdispw0 bklrgdp y1995-y2009 if everfiled==1&eu~=1, fe i(isocoden)
xtreg numdispw0 cflrgdp y1995-y2009 if everfiled==1&eu~=1, fe i(isocoden)
xtreg numdispw0 hplrgdp y1995-y2009 if everfiled==1&eu~=1, fe i(isocoden)
xtreg numdispw0 dlrgdp y1995-y2009 if everfiled==1&eu~=1, fe i(isocoden)
xtreg numdispw0 dtlrgdp y1995-y2009 if everfiled==1&eu~=1, fe i(isocoden)
*
* % Wghtd Mean applied tariff rate, all prod WDI
*
sum year if tarappwghtd~=.
*
xtreg tarappwghtd bklrgdp y1988-y2009 if isocode~="EC", fe i(isocoden)
xtreg tarappwghtd cflrgdp y1988-y2009 if isocode~="EC", fe i(isocoden)
xtreg tarappwghtd hplrgdp y1988-y2009 if isocode~="EC", fe i(isocoden)
xtreg tarappwghtd dlrgdp y1988-y2009 if isocode~="EC", fe i(isocoden)
xtreg tarappwghtd dtlrgdp y1988-y2009 if isocode~="EC", fe i(isocoden)
*
* IEF Trade freedom
*
sum year if tradefreedom~=.
*
xtreg tradefreedom bklrgdp y1995-y2009 if isocode~="EC", fe i(isocoden)
xtreg tradefreedom cflrgdp y1995-y2009 if isocode~="EC", fe i(isocoden)
xtreg tradefreedom hplrgdp y1996-y2009 if isocode~="EC", fe i(isocoden)
xtreg tradefreedom dlrgdp y1995-y2009 if isocode~="EC", fe i(isocoden)
xtreg tradefreedom dtlrgdp y1995-y2009 if isocode~="EC", fe i(isocoden)
*
* **********
* Sensitivity Analysis 1: Country FE only
*
* Anti-Dumping Cases initiated
*
sum year if adc~=.

xtreg adc bklrgdp if adcavail==1&eu~=1, fe i(isocoden)
xtreg adc cflrgdp if adcavail==1&eu~=1, fe i(isocoden)
xtreg adc hplrgdp if adcavail==1&eu~=1, fe i(isocoden)
xtreg adc dlrgdp if adcavail==1&eu~=1, fe i(isocoden)
xtreg adc dtlrgdp if adcavail==1&eu~=1, fe i(isocoden)
*
* Countervailing duties
*
sum year if cvdi~=.

xtreg cvdi bklrgdp if cvdia==1&eu~=1, fe i(isocoden)
xtreg cvdi cflrgdp if cvdia==1&eu~=1, fe i(isocoden)
xtreg cvdi hplrgdp if cvdia==1&eu~=1, fe i(isocoden)
xtreg cvdi dlrgdp if cvdia==1&eu~=1, fe i(isocoden)
xtreg cvdi dtlrgdp if cvdia==1&eu~=1, fe i(isocoden)
*
* Safeguards
*
sum year if safeg~=.

xtreg safeg bklrgdp if safega==1&eu~=1, fe i(isocoden)
xtreg safeg cflrgdp if safega==1&eu~=1, fe i(isocoden)
xtreg safeg hplrgdp if safega==1&eu~=1, fe i(isocoden)
xtreg safeg dlrgdp if safega==1&eu~=1, fe i(isocoden)
xtreg safeg dtlrgdp if safega==1&eu~=1, fe i(isocoden)
*
* WTO Disputes
*
sum year if numdispw0~=.

xtreg numdispw0 bklrgdp if everfiled==1&eu~=1, fe i(isocoden)
xtreg numdispw0 cflrgdp if everfiled==1&eu~=1, fe i(isocoden)
xtreg numdispw0 hplrgdp if everfiled==1&eu~=1, fe i(isocoden)
xtreg numdispw0 dlrgdp if everfiled==1&eu~=1, fe i(isocoden)
xtreg numdispw0 dtlrgdp if everfiled==1&eu~=1, fe i(isocoden)
*
* % Wghtd Mean applied tariff rate, all prod WDI
*
sum year if tarappwghtd~=.
*
xtreg tarappwghtd bklrgdp if isocode~="EC", fe i(isocoden)
xtreg tarappwghtd cflrgdp if isocode~="EC", fe i(isocoden)
xtreg tarappwghtd hplrgdp if isocode~="EC", fe i(isocoden)
xtreg tarappwghtd dlrgdp if isocode~="EC", fe i(isocoden)
xtreg tarappwghtd dtlrgdp if isocode~="EC", fe i(isocoden)
*
* IEF Trade freedom
*
sum year if tradefreedom~=.
*
xtreg tradefreedom bklrgdp if isocode~="EC", fe i(isocoden)
xtreg tradefreedom cflrgdp if isocode~="EC", fe i(isocoden)
xtreg tradefreedom hplrgdp if isocode~="EC", fe i(isocoden)
xtreg tradefreedom dlrgdp if isocode~="EC", fe i(isocoden)
xtreg tradefreedom dtlrgdp if isocode~="EC", fe i(isocoden)
*
* **********
* Sensitivity Analysis 2: only nonhigh-income countries (y<$12.275k)
*
* Anti-Dumping Cases initiated
*
sum year if adc~=.

xtreg adc bklrgdp y1978-y2009 if adcavail==1&eu~=1&rgdpl<12275&rgdpl~=., fe i(isocoden)
xtreg adc cflrgdp y1978-y2009 if adcavail==1&eu~=1&rgdpl<12275&rgdpl~=., fe i(isocoden)
xtreg adc hplrgdp y1978-y2009 if adcavail==1&eu~=1&rgdpl<12275&rgdpl~=., fe i(isocoden)
xtreg adc dlrgdp y1978-y2009 if adcavail==1&eu~=1&rgdpl<12275&rgdpl~=., fe i(isocoden)
xtreg adc dtlrgdp y1978-y2009 if adcavail==1&eu~=1&rgdpl<12275&rgdpl~=., fe i(isocoden)
*
* Countervailing duties
*
sum year if cvdi~=.

xtreg cvdi bklrgdp y1977-y2009 if cvdia==1&eu~=1&rgdpl<12275&rgdpl~=., fe i(isocoden)
xtreg cvdi cflrgdp y1977-y2009 if cvdia==1&eu~=1&rgdpl<12275&rgdpl~=., fe i(isocoden)
xtreg cvdi hplrgdp y1977-y2009 if cvdia==1&eu~=1&rgdpl<12275&rgdpl~=., fe i(isocoden)
xtreg cvdi dlrgdp y1977-y2009 if cvdia==1&eu~=1&rgdpl<12275&rgdpl~=., fe i(isocoden)
xtreg cvdi dtlrgdp y1977-y2009 if cvdia==1&eu~=1&rgdpl<12275&rgdpl~=., fe i(isocoden)
*
* Safeguards
*
sum year if safeg~=.

xtreg safeg bklrgdp y1995-y2009 if safega==1&eu~=1&rgdpl<12275&rgdpl~=., fe i(isocoden)
xtreg safeg cflrgdp y1995-y2009 if safega==1&eu~=1&rgdpl<12275&rgdpl~=., fe i(isocoden)
xtreg safeg hplrgdp y1995-y2009 if safega==1&eu~=1&rgdpl<12275&rgdpl~=., fe i(isocoden)
xtreg safeg dlrgdp y1995-y2009 if safega==1&eu~=1&rgdpl<12275&rgdpl~=., fe i(isocoden)
xtreg safeg dtlrgdp y1995-y2009 if safega==1&eu~=1&rgdpl<12275&rgdpl~=., fe i(isocoden)
*
* WTO Disputes
*
sum year if numdispw0~=.

xtreg numdispw0 bklrgdp y1995-y2009 if everfiled==1&eu~=1&rgdpl<12275&rgdpl~=., fe i(isocoden)
xtreg numdispw0 cflrgdp y1995-y2009 if everfiled==1&eu~=1&rgdpl<12275&rgdpl~=., fe i(isocoden)
xtreg numdispw0 hplrgdp y1995-y2009 if everfiled==1&eu~=1&rgdpl<12275&rgdpl~=., fe i(isocoden)
xtreg numdispw0 dlrgdp y1995-y2009 if everfiled==1&eu~=1&rgdpl<12275&rgdpl~=., fe i(isocoden)
xtreg numdispw0 dtlrgdp y1995-y2009 if everfiled==1&eu~=1&rgdpl<12275&rgdpl~=., fe i(isocoden)
*
* % Wghtd Mean applied tariff rate, all prod WDI
*
sum year if tarappwghtd~=.
*
xtreg tarappwghtd bklrgdp y1988-y2009 if isocode~="EC"&rgdpl<12275&rgdpl~=., fe i(isocoden)
xtreg tarappwghtd cflrgdp y1988-y2009 if isocode~="EC"&rgdpl<12275&rgdpl~=., fe i(isocoden)
xtreg tarappwghtd hplrgdp y1988-y2009 if isocode~="EC"&rgdpl<12275&rgdpl~=., fe i(isocoden)
xtreg tarappwghtd dlrgdp y1988-y2009 if isocode~="EC"&rgdpl<12275&rgdpl~=., fe i(isocoden)
xtreg tarappwghtd dtlrgdp y1988-y2009 if isocode~="EC"&rgdpl<12275&rgdpl~=., fe i(isocoden)
*
* IEF Trade freedom
*
sum year if tradefreedom~=.
*
xtreg tradefreedom bklrgdp y1995-y2009 if isocode~="EC"&rgdpl<12275&rgdpl~=., fe i(isocoden)
xtreg tradefreedom cflrgdp y1995-y2009 if isocode~="EC"&rgdpl<12275&rgdpl~=., fe i(isocoden)
xtreg tradefreedom hplrgdp y1996-y2009 if isocode~="EC"&rgdpl<12275&rgdpl~=., fe i(isocoden)
xtreg tradefreedom dlrgdp y1995-y2009 if isocode~="EC"&rgdpl<12275&rgdpl~=., fe i(isocoden)
xtreg tradefreedom dtlrgdp y1995-y2009 if isocode~="EC"&rgdpl<12275&rgdpl~=., fe i(isocoden)
*
* **********
* Sensitivity Analysis 3: Large countries (>25m)
*
* Anti-Dumping Cases initiated
*
sum year if adc~=.

xtreg adc bklrgdp y1978-y2009 if adcavail==1&eu~=1&pop>25000&pop~=., fe i(isocoden)
xtreg adc cflrgdp y1978-y2009 if adcavail==1&eu~=1&pop>25000&pop~=., fe i(isocoden)
xtreg adc hplrgdp y1978-y2009 if adcavail==1&eu~=1&pop>25000&pop~=., fe i(isocoden)
xtreg adc dlrgdp y1978-y2009 if adcavail==1&eu~=1&pop>25000&pop~=., fe i(isocoden)
xtreg adc dtlrgdp y1978-y2009 if adcavail==1&eu~=1&pop>25000&pop~=., fe i(isocoden)
*
* Countervailing duties
*
sum year if cvdi~=.

xtreg cvdi bklrgdp y1977-y2009 if cvdia==1&eu~=1&pop>25000&pop~=., fe i(isocoden)
xtreg cvdi cflrgdp y1977-y2009 if cvdia==1&eu~=1&pop>25000&pop~=., fe i(isocoden)
xtreg cvdi hplrgdp y1977-y2009 if cvdia==1&eu~=1&pop>25000&pop~=., fe i(isocoden)
xtreg cvdi dlrgdp y1977-y2009 if cvdia==1&eu~=1&pop>25000&pop~=., fe i(isocoden)
xtreg cvdi dtlrgdp y1977-y2009 if cvdia==1&eu~=1&pop>25000&pop~=., fe i(isocoden)
*
* Safeguards
*
sum year if safeg~=.

xtreg safeg bklrgdp y1995-y2009 if safega==1&eu~=1&pop>25000&pop~=., fe i(isocoden)
xtreg safeg cflrgdp y1995-y2009 if safega==1&eu~=1&pop>25000&pop~=., fe i(isocoden)
xtreg safeg hplrgdp y1995-y2009 if safega==1&eu~=1&pop>25000&pop~=., fe i(isocoden)
xtreg safeg dlrgdp y1995-y2009 if safega==1&eu~=1&pop>25000&pop~=., fe i(isocoden)
xtreg safeg dtlrgdp y1995-y2009 if safega==1&eu~=1&pop>25000&pop~=., fe i(isocoden)
*
* WTO Disputes
*
sum year if numdispw0~=.

xtreg numdispw0 bklrgdp y1995-y2009 if everfiled==1&eu~=1&pop>25000&pop~=., fe i(isocoden)
xtreg numdispw0 cflrgdp y1995-y2009 if everfiled==1&eu~=1&pop>25000&pop~=., fe i(isocoden)
xtreg numdispw0 hplrgdp y1995-y2009 if everfiled==1&eu~=1&pop>25000&pop~=., fe i(isocoden)
xtreg numdispw0 dlrgdp y1995-y2009 if everfiled==1&eu~=1&pop>25000&pop~=., fe i(isocoden)
xtreg numdispw0 dtlrgdp y1995-y2009 if everfiled==1&eu~=1&pop>25000&pop~=., fe i(isocoden)
*
* % Wghtd Mean applied tariff rate, all prod WDI
*
sum year if tarappwghtd~=.
*
xtreg tarappwghtd bklrgdp y1988-y2009 if isocode~="EC"&pop>25000&pop~=., fe i(isocoden)
xtreg tarappwghtd cflrgdp y1988-y2009 if isocode~="EC"&pop>25000&pop~=., fe i(isocoden)
xtreg tarappwghtd hplrgdp y1988-y2009 if isocode~="EC"&pop>25000&pop~=., fe i(isocoden)
xtreg tarappwghtd dlrgdp y1988-y2009 if isocode~="EC"&pop>25000&pop~=., fe i(isocoden)
xtreg tarappwghtd dtlrgdp y1988-y2009 if isocode~="EC"&pop>25000&pop~=., fe i(isocoden)
*
* IEF Trade freedom
*
sum year if tradefreedom~=.
*
xtreg tradefreedom bklrgdp y1995-y2009 if isocode~="EC"&pop>25000&pop~=., fe i(isocoden)
xtreg tradefreedom cflrgdp y1995-y2009 if isocode~="EC"&pop>25000&pop~=., fe i(isocoden)
xtreg tradefreedom hplrgdp y1996-y2009 if isocode~="EC"&pop>25000&pop~=., fe i(isocoden)
xtreg tradefreedom dlrgdp y1995-y2009 if isocode~="EC"&pop>25000&pop~=., fe i(isocoden)
xtreg tradefreedom dtlrgdp y1995-y2009 if isocode~="EC"&pop>25000&pop~=., fe i(isocoden)
*
* **********
* Sensitivity Analysis 4: Drop 2.5-sigma outliers.
*
* Anti-Dumping Cases initiated
*
sum year if adc~=.

quietly xtreg adc bklrgdp y1978-y2009 if adcavail==1&eu~=1, fe i(isocoden)
predict res, e
egen ress=std(res)
xtreg adc bklrgdp y1978-y2009 if adcavail==1&eu~=1&abs(ress)<2.5, fe i(isocoden)
drop res ress
quietly xtreg adc cflrgdp y1978-y2009 if adcavail==1&eu~=1, fe i(isocoden)
predict res, e
egen ress=std(res)
xtreg adc cflrgdp y1978-y2009 if adcavail==1&eu~=1&abs(ress)<2.5, fe i(isocoden)
drop res ress
quietly xtreg adc hplrgdp y1978-y2009 if adcavail==1&eu~=1, fe i(isocoden)
predict res, e
egen ress=std(res)
xtreg adc hplrgdp y1978-y2009 if adcavail==1&eu~=1&abs(ress)<2.5, fe i(isocoden)
drop res ress
quietly xtreg adc dlrgdp y1978-y2009 if adcavail==1&eu~=1, fe i(isocoden)
predict res, e
egen ress=std(res)
xtreg adc dlrgdp y1978-y2009 if adcavail==1&eu~=1&abs(ress)<2.5, fe i(isocoden)
drop res ress
quietly xtreg adc dtlrgdp y1978-y2009 if adcavail==1&eu~=1, fe i(isocoden)
predict res, e
egen ress=std(res)
xtreg adc dtlrgdp y1978-y2009 if adcavail==1&eu~=1&abs(ress)<2.5, fe i(isocoden)
drop res ress
*
* Countervailing duties
*
sum year if cvdi~=.

quietly xtreg cvdi bklrgdp y1977-y2009 if cvdia==1&eu~=1, fe i(isocoden)
predict res, e
egen ress=std(res)
xtreg cvdi bklrgdp y1977-y2009 if cvdia==1&eu~=1&abs(ress)<2.5, fe i(isocoden)
drop res ress
quietly xtreg cvdi cflrgdp y1977-y2009 if cvdia==1&eu~=1, fe i(isocoden)
predict res, e
egen ress=std(res)
xtreg cvdi cflrgdp y1977-y2009 if cvdia==1&eu~=1&abs(ress)<2.5, fe i(isocoden)
drop res ress
quietly xtreg cvdi hplrgdp y1977-y2009 if cvdia==1&eu~=1, fe i(isocoden)
predict res, e
egen ress=std(res)
xtreg cvdi hplrgdp y1977-y2009 if cvdia==1&eu~=1&abs(ress)<2.5, fe i(isocoden)
drop res ress
quietly xtreg cvdi dlrgdp y1977-y2009 if cvdia==1&eu~=1, fe i(isocoden)
predict res, e
egen ress=std(res)
xtreg cvdi dlrgdp y1977-y2009 if cvdia==1&eu~=1&abs(ress)<2.5, fe i(isocoden)
drop res ress
quietly xtreg cvdi dtlrgdp y1977-y2009 if cvdia==1&eu~=1, fe i(isocoden)
predict res, e
egen ress=std(res)
xtreg cvdi dtlrgdp y1977-y2009 if cvdia==1&eu~=1&abs(ress)<2.5, fe i(isocoden)
drop res ress
*
* Safeguards
*
sum year if safeg~=.

quietly xtreg safeg bklrgdp y1995-y2009 if safega==1&eu~=1, fe i(isocoden)
predict res, e
egen ress=std(res)
xtreg safeg bklrgdp y1995-y2009 if safega==1&eu~=1&abs(ress)<2.5, fe i(isocoden)
drop res ress
quietly xtreg safeg cflrgdp y1995-y2009 if safega==1&eu~=1, fe i(isocoden)
predict res, e
egen ress=std(res)
xtreg safeg cflrgdp y1995-y2009 if safega==1&eu~=1&abs(ress)<2.5, fe i(isocoden)
drop res ress
quietly xtreg safeg hplrgdp y1995-y2009 if safega==1&eu~=1, fe i(isocoden)
predict res, e
egen ress=std(res)
xtreg safeg hplrgdp y1995-y2009 if safega==1&eu~=1&abs(ress)<2.5, fe i(isocoden)
drop res ress
quietly xtreg safeg dlrgdp y1995-y2009 if safega==1&eu~=1, fe i(isocoden)
predict res, e
egen ress=std(res)
xtreg safeg dlrgdp y1995-y2009 if safega==1&eu~=1&abs(ress)<2.5, fe i(isocoden)
drop res ress
quietly xtreg safeg dtlrgdp y1995-y2009 if safega==1&eu~=1, fe i(isocoden)
predict res, e
egen ress=std(res)
xtreg safeg dtlrgdp y1995-y2009 if safega==1&eu~=1&abs(ress)<2.5, fe i(isocoden)
drop res ress
*
* WTO Disputes
*
sum year if numdispw0~=.

quietly xtreg numdispw0 bklrgdp y1995-y2009 if everfiled==1&eu~=1, fe i(isocoden)
predict res, e
egen ress=std(res)
xtreg numdispw0 bklrgdp y1995-y2009 if everfiled==1&eu~=1&abs(ress)<2.5, fe i(isocoden)
drop res ress
quietly xtreg numdispw0 cflrgdp y1995-y2009 if everfiled==1&eu~=1, fe i(isocoden)
predict res, e
egen ress=std(res)
xtreg numdispw0 cflrgdp y1995-y2009 if everfiled==1&eu~=1&abs(ress)<2.5, fe i(isocoden)
drop res ress
quietly xtreg numdispw0 hplrgdp y1995-y2009 if everfiled==1&eu~=1, fe i(isocoden)
predict res, e
egen ress=std(res)
xtreg numdispw0 hplrgdp y1995-y2009 if everfiled==1&eu~=1&abs(ress)<2.5, fe i(isocoden)
drop res ress
quietly xtreg numdispw0 dlrgdp y1995-y2009 if everfiled==1&eu~=1, fe i(isocoden)
predict res, e
egen ress=std(res)
xtreg numdispw0 dlrgdp y1995-y2009 if everfiled==1&eu~=1&abs(ress)<2.5, fe i(isocoden)
drop res ress
quietly xtreg numdispw0 dtlrgdp y1995-y2009 if everfiled==1&eu~=1, fe i(isocoden)
predict res, e
egen ress=std(res)
xtreg numdispw0 dtlrgdp y1995-y2009 if everfiled==1&eu~=1&abs(ress)<2.5, fe i(isocoden)
drop res ress
*
* % Wghtd Mean applied tariff rate, all prod WDI
*
sum year if tarappwghtd~=.
*
quietly xtreg tarappwghtd bklrgdp y1988-y2009 if isocode~="EC", fe i(isocoden)
predict res, e
egen ress=std(res)
xtreg tarappwghtd bklrgdp y1988-y2009 if isocode~="EC"&abs(ress)<2.5, fe i(isocoden)
drop res ress
quietly xtreg tarappwghtd cflrgdp y1988-y2009 if isocode~="EC", fe i(isocoden)
predict res, e
egen ress=std(res)
xtreg tarappwghtd cflrgdp y1988-y2009 if isocode~="EC"&abs(ress)<2.5, fe i(isocoden)
drop res ress
quietly xtreg tarappwghtd hplrgdp y1988-y2009 if isocode~="EC", fe i(isocoden)
predict res, e
egen ress=std(res)
xtreg tarappwghtd hplrgdp y1988-y2009 if isocode~="EC"&abs(ress)<2.5, fe i(isocoden)
drop res ress
quietly xtreg tarappwghtd dlrgdp y1988-y2009 if isocode~="EC", fe i(isocoden)
predict res, e
egen ress=std(res)
xtreg tarappwghtd dlrgdp y1988-y2009 if isocode~="EC"&abs(ress)<2.5, fe i(isocoden)
drop res ress
quietly xtreg tarappwghtd dtlrgdp y1988-y2009 if isocode~="EC", fe i(isocoden)
predict res, e
egen ress=std(res)
xtreg tarappwghtd dtlrgdp y1988-y2009 if isocode~="EC"&abs(ress)<2.5, fe i(isocoden)
drop res ress
*
* IEF Trade freedom
*
sum year if tradefreedom~=.
*
quietly xtreg tradefreedom bklrgdp y1995-y2009 if isocode~="EC", fe i(isocoden)
predict res, e
egen ress=std(res)
xtreg tradefreedom bklrgdp y1995-y2009 if isocode~="EC"&abs(ress)<2.5, fe i(isocoden)
drop res ress
quietly xtreg tradefreedom cflrgdp y1995-y2009 if isocode~="EC", fe i(isocoden)
predict res, e
egen ress=std(res)
xtreg tradefreedom cflrgdp y1995-y2009 if isocode~="EC"&abs(ress)<2.5, fe i(isocoden)
drop res ress
quietly xtreg tradefreedom hplrgdp y1996-y2009 if isocode~="EC", fe i(isocoden)
predict res, e
egen ress=std(res)
xtreg tradefreedom hplrgdp y1996-y2009 if isocode~="EC"&abs(ress)<2.5, fe i(isocoden)
drop res ress
quietly xtreg tradefreedom dlrgdp y1995-y2009 if isocode~="EC", fe i(isocoden)
predict res, e
egen ress=std(res)
xtreg tradefreedom dlrgdp y1995-y2009 if isocode~="EC"&abs(ress)<2.5, fe i(isocoden)
drop res ress
quietly xtreg tradefreedom dtlrgdp y1995-y2009 if isocode~="EC", fe i(isocoden)
predict res, e
egen ress=std(res)
xtreg tradefreedom dtlrgdp y1995-y2009 if isocode~="EC"&abs(ress)<2.5, fe i(isocoden)
drop res ress
*
* **********
* Sensitivity Analysis 5: Poisson/Tobit regressions
*
* Anti-Dumping Cases initiated
*
sum year if adc~=.

xtpoisson adc bklrgdp y1978-y2009 if adcavail==1&eu~=1, fe i(isocoden)
xtpoisson adc cflrgdp y1978-y2009 if adcavail==1&eu~=1, fe i(isocoden)
xtpoisson adc hplrgdp y1978-y2009 if adcavail==1&eu~=1, fe i(isocoden)
xtpoisson adc dlrgdp y1978-y2009 if adcavail==1&eu~=1, fe i(isocoden)
xtpoisson adc dtlrgdp y1978-y2009 if adcavail==1&eu~=1, fe i(isocoden)
*
* Countervailing duties
*
sum year if cvdi~=.

xtpoisson cvdi bklrgdp y1977-y2009 if cvdia==1&eu~=1, fe i(isocoden)
xtpoisson cvdi cflrgdp y1977-y2009 if cvdia==1&eu~=1, fe i(isocoden)
xtpoisson cvdi hplrgdp y1977-y2009 if cvdia==1&eu~=1, fe i(isocoden)
xtpoisson cvdi dlrgdp y1977-y2009 if cvdia==1&eu~=1, fe i(isocoden)
xtpoisson cvdi dtlrgdp y1977-y2009 if cvdia==1&eu~=1, fe i(isocoden)
*
* Safeguards
*
sum year if safeg~=.

xtpoisson safeg bklrgdp y1995-y2009 if safega==1&eu~=1, fe i(isocoden)
xtpoisson safeg cflrgdp y1995-y2009 if safega==1&eu~=1, fe i(isocoden)
xtpoisson safeg hplrgdp y1995-y2009 if safega==1&eu~=1, fe i(isocoden)
xtpoisson safeg dlrgdp y1995-y2009 if safega==1&eu~=1, fe i(isocoden)
xtpoisson safeg dtlrgdp y1995-y2009 if safega==1&eu~=1, fe i(isocoden)
*
* WTO Disputes
*
sum year if numdispw0~=.

xtpoisson numdispw0 bklrgdp y1995-y2009 if everfiled==1&eu~=1, fe i(isocoden)
xtpoisson numdispw0 cflrgdp y1995-y2009 if everfiled==1&eu~=1, fe i(isocoden)
xtpoisson numdispw0 hplrgdp y1995-y2009 if everfiled==1&eu~=1, fe i(isocoden)
xtpoisson numdispw0 dlrgdp y1995-y2009 if everfiled==1&eu~=1, fe i(isocoden)
xtpoisson numdispw0 dtlrgdp y1995-y2009 if everfiled==1&eu~=1, fe i(isocoden)
*
* % Wghtd Mean applied tariff rate, all prod WDI
*
sum year if tarappwghtd~=.
*
xttobit tarappwghtd bklrgdp y1988-y2009 if isocode~="EC", ll(0) i(isocoden)
xttobit tarappwghtd cflrgdp y1988-y2009 if isocode~="EC", ll(0) i(isocoden)
xttobit tarappwghtd hplrgdp y1988-y2009 if isocode~="EC", ll(0) i(isocoden)
xttobit tarappwghtd dlrgdp y1988-y2009 if isocode~="EC", ll(0) i(isocoden)
xttobit tarappwghtd dtlrgdp y1988-y2009 if isocode~="EC", ll(0) i(isocoden)
*
* IEF Trade freedom
*
sum year if tradefreedom~=.
*
xttobit tradefreedom bklrgdp y1995-y2009 if isocode~="EC", ll(0) ul(100) i(isocoden)
xttobit tradefreedom cflrgdp y1995-y2009 if isocode~="EC", ll(0) ul(100) i(isocoden)
xttobit tradefreedom hplrgdp y1996-y2009 if isocode~="EC", ll(0) ul(100) i(isocoden)
xttobit tradefreedom dlrgdp y1995-y2009 if isocode~="EC", ll(0) ul(100) i(isocoden)
xttobit tradefreedom dtlrgdp y1995-y2009 if isocode~="EC", ll(0) ul(100) i(isocoden)
*
* **********
* Sensitivity Analysis 6: Drop 2009
*
* Anti-Dumping Cases initiated
*
sum year if adc~=.

xtreg adc bklrgdp y1978-y2008 if adcavail==1&eu~=1&year<2008.5, fe i(isocoden)
xtreg adc cflrgdp y1978-y2008 if adcavail==1&eu~=1&year<2008.5, fe i(isocoden)
xtreg adc hplrgdp y1978-y2008 if adcavail==1&eu~=1&year<2008.5, fe i(isocoden)
xtreg adc dlrgdp y1978-y2008 if adcavail==1&eu~=1&year<2008.5, fe i(isocoden)
xtreg adc dtlrgdp y1978-y2008 if adcavail==1&eu~=1&year<2008.5, fe i(isocoden)
*
* Countervailing duties
*
sum year if cvdi~=.

xtreg cvdi bklrgdp y1977-y2008 if cvdia==1&eu~=1&year<2008.5, fe i(isocoden)
xtreg cvdi cflrgdp y1977-y2008 if cvdia==1&eu~=1&year<2008.5, fe i(isocoden)
xtreg cvdi hplrgdp y1977-y2008 if cvdia==1&eu~=1&year<2008.5, fe i(isocoden)
xtreg cvdi dlrgdp y1977-y2008 if cvdia==1&eu~=1&year<2008.5, fe i(isocoden)
xtreg cvdi dtlrgdp y1977-y2008 if cvdia==1&eu~=1&year<2008.5, fe i(isocoden)
*
* Safeguards
*
sum year if safeg~=.

xtreg safeg bklrgdp y1995-y2008 if safega==1&eu~=1&year<2008.5, fe i(isocoden)
xtreg safeg cflrgdp y1995-y2008 if safega==1&eu~=1&year<2008.5, fe i(isocoden)
xtreg safeg hplrgdp y1995-y2008 if safega==1&eu~=1&year<2008.5, fe i(isocoden)
xtreg safeg dlrgdp y1995-y2008 if safega==1&eu~=1&year<2008.5, fe i(isocoden)
xtreg safeg dtlrgdp y1995-y2008 if safega==1&eu~=1&year<2008.5, fe i(isocoden)
*
* WTO Disputes
*
sum year if numdispw0~=.

xtreg numdispw0 bklrgdp y1995-y2008 if everfiled==1&eu~=1&year<2008.5, fe i(isocoden)
xtreg numdispw0 cflrgdp y1995-y2008 if everfiled==1&eu~=1&year<2008.5, fe i(isocoden)
xtreg numdispw0 hplrgdp y1995-y2008 if everfiled==1&eu~=1&year<2008.5, fe i(isocoden)
xtreg numdispw0 dlrgdp y1995-y2008 if everfiled==1&eu~=1&year<2008.5, fe i(isocoden)
xtreg numdispw0 dtlrgdp y1995-y2008 if everfiled==1&eu~=1&year<2008.5, fe i(isocoden)
*
* % Wghtd Mean applied tariff rate&year<2008.5, all prod WDI
*
sum year if tarappwghtd~=.
*
xtreg tarappwghtd bklrgdp y1988-y2008 if isocode~="EC"&year<2008.5, fe i(isocoden)
xtreg tarappwghtd cflrgdp y1988-y2008 if isocode~="EC"&year<2008.5, fe i(isocoden)
xtreg tarappwghtd hplrgdp y1988-y2008 if isocode~="EC"&year<2008.5, fe i(isocoden)
xtreg tarappwghtd dlrgdp y1988-y2008 if isocode~="EC"&year<2008.5, fe i(isocoden)
xtreg tarappwghtd dtlrgdp y1988-y2008 if isocode~="EC"&year<2008.5, fe i(isocoden)
*
* IEF Trade freedom
*
sum year if tradefreedom~=.
*
xtreg tradefreedom bklrgdp y1995-y2008 if isocode~="EC"&year<2008.5, fe i(isocoden)
xtreg tradefreedom cflrgdp y1995-y2008 if isocode~="EC"&year<2008.5, fe i(isocoden)
xtreg tradefreedom hplrgdp y1996-y2008 if isocode~="EC"&year<2008.5, fe i(isocoden)
xtreg tradefreedom dlrgdp y1995-y2008 if isocode~="EC"&year<2008.5, fe i(isocoden)
xtreg tradefreedom dtlrgdp y1995-y2008 if isocode~="EC"&year<2008.5, fe i(isocoden)
*
* **********
* Sensitivity Analysis 7a: Add controls lpop expy impy mertradey reer lrgdpl lpppdev 
*
* Anti-Dumping Cases initiated
*
sum year if adc~=.

xtreg adc bklrgdp lpop expy impy mertradey reer lrgdpl lpppdev y1978-y2009 if adcavail==1&eu~=1, fe i(isocoden)
xtreg adc cflrgdp lpop expy impy mertradey reer lrgdpl lpppdev y1978-y2009 if adcavail==1&eu~=1, fe i(isocoden)
xtreg adc hplrgdp lpop expy impy mertradey reer lrgdpl lpppdev y1978-y2009 if adcavail==1&eu~=1, fe i(isocoden)
xtreg adc dlrgdp lpop expy impy mertradey reer lrgdpl lpppdev y1978-y2009 if adcavail==1&eu~=1, fe i(isocoden)
xtreg adc dtlrgdp lpop expy impy mertradey reer lrgdpl lpppdev y1978-y2009 if adcavail==1&eu~=1, fe i(isocoden)
*
* Countervailing duties
*
sum year if cvdi~=.

xtreg cvdi bklrgdp lpop expy impy mertradey reer lrgdpl lpppdev y1977-y2009 if cvdia==1&eu~=1, fe i(isocoden)
xtreg cvdi cflrgdp lpop expy impy mertradey reer lrgdpl lpppdev y1977-y2009 if cvdia==1&eu~=1, fe i(isocoden)
xtreg cvdi hplrgdp lpop expy impy mertradey reer lrgdpl lpppdev y1977-y2009 if cvdia==1&eu~=1, fe i(isocoden)
xtreg cvdi dlrgdp lpop expy impy mertradey reer lrgdpl lpppdev y1977-y2009 if cvdia==1&eu~=1, fe i(isocoden)
xtreg cvdi dtlrgdp lpop expy impy mertradey reer lrgdpl lpppdev y1977-y2009 if cvdia==1&eu~=1, fe i(isocoden)
*
* Safeguards
*
sum year if safeg~=.

xtreg safeg bklrgdp lpop expy impy mertradey reer lrgdpl lpppdev y1995-y2009 if safega==1&eu~=1, fe i(isocoden)
xtreg safeg cflrgdp lpop expy impy mertradey reer lrgdpl lpppdev y1995-y2009 if safega==1&eu~=1, fe i(isocoden)
xtreg safeg hplrgdp lpop expy impy mertradey reer lrgdpl lpppdev y1995-y2009 if safega==1&eu~=1, fe i(isocoden)
xtreg safeg dlrgdp lpop expy impy mertradey reer lrgdpl lpppdev y1995-y2009 if safega==1&eu~=1, fe i(isocoden)
xtreg safeg dtlrgdp lpop expy impy mertradey reer lrgdpl lpppdev y1995-y2009 if safega==1&eu~=1, fe i(isocoden)
*
* WTO Disputes
*
sum year if numdispw0~=.

xtreg numdispw0 bklrgdp lpop expy impy mertradey reer lrgdpl lpppdev y1995-y2009 if everfiled==1&eu~=1, fe i(isocoden)
xtreg numdispw0 cflrgdp lpop expy impy mertradey reer lrgdpl lpppdev y1995-y2009 if everfiled==1&eu~=1, fe i(isocoden)
xtreg numdispw0 hplrgdp lpop expy impy mertradey reer lrgdpl lpppdev y1995-y2009 if everfiled==1&eu~=1, fe i(isocoden)
xtreg numdispw0 dlrgdp lpop expy impy mertradey reer lrgdpl lpppdev y1995-y2009 if everfiled==1&eu~=1, fe i(isocoden)
xtreg numdispw0 dtlrgdp lpop expy impy mertradey reer lrgdpl lpppdev y1995-y2009 if everfiled==1&eu~=1, fe i(isocoden)
*
* % Wghtd Mean applied tariff rate, all prod WDI
*
sum year if tarappwghtd~=.
*
xtreg tarappwghtd bklrgdp lpop expy impy mertradey reer lrgdpl lpppdev y1988-y2009 if isocode~="EC", fe i(isocoden)
xtreg tarappwghtd cflrgdp lpop expy impy mertradey reer lrgdpl lpppdev y1988-y2009 if isocode~="EC", fe i(isocoden)
xtreg tarappwghtd hplrgdp lpop expy impy mertradey reer lrgdpl lpppdev y1988-y2009 if isocode~="EC", fe i(isocoden)
xtreg tarappwghtd dlrgdp lpop expy impy mertradey reer lrgdpl lpppdev y1988-y2009 if isocode~="EC", fe i(isocoden)
xtreg tarappwghtd dtlrgdp lpop expy impy mertradey reer lrgdpl lpppdev y1988-y2009 if isocode~="EC", fe i(isocoden)
*
* IEF Trade freedom
*
sum year if tradefreedom~=.
*
xtreg tradefreedom bklrgdp lpop expy impy mertradey reer lrgdpl lpppdev y1995-y2009 if isocode~="EC", fe i(isocoden)
xtreg tradefreedom cflrgdp lpop expy impy mertradey reer lrgdpl lpppdev y1995-y2009 if isocode~="EC", fe i(isocoden)
xtreg tradefreedom hplrgdp lpop expy impy mertradey reer lrgdpl lpppdev y1996-y2009 if isocode~="EC", fe i(isocoden)
xtreg tradefreedom dlrgdp lpop expy impy mertradey reer lrgdpl lpppdev y1995-y2009 if isocode~="EC", fe i(isocoden)
xtreg tradefreedom dtlrgdp lpop expy impy mertradey reer lrgdpl lpppdev y1995-y2009 if isocode~="EC", fe i(isocoden)
*
* **********
* Sensitivity Analysis 7b: Add controls lpop mertradey caccy reer lrgdpl lpppdev 
*
* Anti-Dumping Cases initiated
*
sum year if adc~=.

xtreg adc bklrgdp lpop mertradey caccy reer lrgdpl lpppdev y1978-y2009 if adcavail==1&eu~=1, fe i(isocoden)
xtreg adc cflrgdp lpop mertradey caccy reer lrgdpl lpppdev y1978-y2009 if adcavail==1&eu~=1, fe i(isocoden)
xtreg adc hplrgdp lpop mertradey caccy reer lrgdpl lpppdev y1978-y2009 if adcavail==1&eu~=1, fe i(isocoden)
xtreg adc dlrgdp lpop mertradey caccy reer lrgdpl lpppdev y1978-y2009 if adcavail==1&eu~=1, fe i(isocoden)
xtreg adc dtlrgdp lpop mertradey caccy reer lrgdpl lpppdev y1978-y2009 if adcavail==1&eu~=1, fe i(isocoden)
*
* Countervailing duties
*
sum year if cvdi~=.

xtreg cvdi bklrgdp lpop mertradey caccy reer lrgdpl lpppdev y1977-y2009 if cvdia==1&eu~=1, fe i(isocoden)
xtreg cvdi cflrgdp lpop mertradey caccy reer lrgdpl lpppdev y1977-y2009 if cvdia==1&eu~=1, fe i(isocoden)
xtreg cvdi hplrgdp lpop mertradey caccy reer lrgdpl lpppdev y1977-y2009 if cvdia==1&eu~=1, fe i(isocoden)
xtreg cvdi dlrgdp lpop mertradey caccy reer lrgdpl lpppdev y1977-y2009 if cvdia==1&eu~=1, fe i(isocoden)
xtreg cvdi dtlrgdp lpop mertradey caccy reer lrgdpl lpppdev y1977-y2009 if cvdia==1&eu~=1, fe i(isocoden)
*
* Safeguards
*
sum year if safeg~=.

xtreg safeg bklrgdp lpop mertradey caccy reer lrgdpl lpppdev y1995-y2009 if safega==1&eu~=1, fe i(isocoden)
xtreg safeg cflrgdp lpop mertradey caccy reer lrgdpl lpppdev y1995-y2009 if safega==1&eu~=1, fe i(isocoden)
xtreg safeg hplrgdp lpop mertradey caccy reer lrgdpl lpppdev y1995-y2009 if safega==1&eu~=1, fe i(isocoden)
xtreg safeg dlrgdp lpop mertradey caccy reer lrgdpl lpppdev y1995-y2009 if safega==1&eu~=1, fe i(isocoden)
xtreg safeg dtlrgdp lpop mertradey caccy reer lrgdpl lpppdev y1995-y2009 if safega==1&eu~=1, fe i(isocoden)
*
* WTO Disputes
*
sum year if numdispw0~=.

xtreg numdispw0 bklrgdp lpop mertradey caccy reer lrgdpl lpppdev y1995-y2009 if everfiled==1&eu~=1, fe i(isocoden)
xtreg numdispw0 cflrgdp lpop mertradey caccy reer lrgdpl lpppdev y1995-y2009 if everfiled==1&eu~=1, fe i(isocoden)
xtreg numdispw0 hplrgdp lpop mertradey caccy reer lrgdpl lpppdev y1995-y2009 if everfiled==1&eu~=1, fe i(isocoden)
xtreg numdispw0 dlrgdp lpop mertradey caccy reer lrgdpl lpppdev y1995-y2009 if everfiled==1&eu~=1, fe i(isocoden)
xtreg numdispw0 dtlrgdp lpop mertradey caccy reer lrgdpl lpppdev y1995-y2009 if everfiled==1&eu~=1, fe i(isocoden)
*
* % Wghtd Mean applied tariff rate, all prod WDI
*
sum year if tarappwghtd~=.
*
xtreg tarappwghtd bklrgdp lpop mertradey caccy reer lrgdpl lpppdev y1988-y2009 if isocode~="EC", fe i(isocoden)
xtreg tarappwghtd cflrgdp lpop mertradey caccy reer lrgdpl lpppdev y1988-y2009 if isocode~="EC", fe i(isocoden)
xtreg tarappwghtd hplrgdp lpop mertradey caccy reer lrgdpl lpppdev y1988-y2009 if isocode~="EC", fe i(isocoden)
xtreg tarappwghtd dlrgdp lpop mertradey caccy reer lrgdpl lpppdev y1988-y2009 if isocode~="EC", fe i(isocoden)
xtreg tarappwghtd dtlrgdp lpop mertradey caccy reer lrgdpl lpppdev y1988-y2009 if isocode~="EC", fe i(isocoden)
*
* IEF Trade freedom
*
sum year if tradefreedom~=.
*
xtreg tradefreedom bklrgdp lpop mertradey caccy reer lrgdpl lpppdev y1995-y2009 if isocode~="EC", fe i(isocoden)
xtreg tradefreedom cflrgdp lpop mertradey caccy reer lrgdpl lpppdev y1995-y2009 if isocode~="EC", fe i(isocoden)
xtreg tradefreedom hplrgdp lpop mertradey caccy reer lrgdpl lpppdev y1996-y2009 if isocode~="EC", fe i(isocoden)
xtreg tradefreedom dlrgdp lpop mertradey caccy reer lrgdpl lpppdev y1995-y2009 if isocode~="EC", fe i(isocoden)
xtreg tradefreedom dtlrgdp lpop mertradey caccy reer lrgdpl lpppdev y1995-y2009 if isocode~="EC", fe i(isocoden)
*
* **********
* Sensitivity Analysis 8: Add Exchange Rate Regime: RR
*
* Anti-Dumping Cases initiated
*
sum year if adc~=.

xtreg adc bklrgdp rrcfix rrccrawlp rrcwidep rrcfloat rrcfall y1978-y2009 if adcavail==1&eu~=1, fe i(isocoden)
xtreg adc cflrgdp rrcfix rrccrawlp rrcwidep rrcfloat rrcfall y1978-y2009 if adcavail==1&eu~=1, fe i(isocoden)
xtreg adc hplrgdp rrcfix rrccrawlp rrcwidep rrcfloat rrcfall y1978-y2009 if adcavail==1&eu~=1, fe i(isocoden)
xtreg adc dlrgdp rrcfix rrccrawlp rrcwidep rrcfloat rrcfall y1978-y2009 if adcavail==1&eu~=1, fe i(isocoden)
xtreg adc dtlrgdp rrcfix rrccrawlp rrcwidep rrcfloat rrcfall y1978-y2009 if adcavail==1&eu~=1, fe i(isocoden)
*
* Countervailing duties
*
sum year if cvdi~=.

xtreg cvdi bklrgdp rrcfix rrccrawlp rrcwidep rrcfloat rrcfall y1977-y2009 if cvdia==1&eu~=1, fe i(isocoden)
xtreg cvdi cflrgdp rrcfix rrccrawlp rrcwidep rrcfloat rrcfall y1977-y2009 if cvdia==1&eu~=1, fe i(isocoden)
xtreg cvdi hplrgdp rrcfix rrccrawlp rrcwidep rrcfloat rrcfall y1977-y2009 if cvdia==1&eu~=1, fe i(isocoden)
xtreg cvdi dlrgdp rrcfix rrccrawlp rrcwidep rrcfloat rrcfall y1977-y2009 if cvdia==1&eu~=1, fe i(isocoden)
xtreg cvdi dtlrgdp rrcfix rrccrawlp rrcwidep rrcfloat rrcfall y1977-y2009 if cvdia==1&eu~=1, fe i(isocoden)
*
* Safeguards
*
sum year if safeg~=.

xtreg safeg bklrgdp rrcfix rrccrawlp rrcwidep rrcfloat rrcfall y1995-y2009 if safega==1&eu~=1, fe i(isocoden)
xtreg safeg cflrgdp rrcfix rrccrawlp rrcwidep rrcfloat rrcfall y1995-y2009 if safega==1&eu~=1, fe i(isocoden)
xtreg safeg hplrgdp rrcfix rrccrawlp rrcwidep rrcfloat rrcfall y1995-y2009 if safega==1&eu~=1, fe i(isocoden)
xtreg safeg dlrgdp rrcfix rrccrawlp rrcwidep rrcfloat rrcfall y1995-y2009 if safega==1&eu~=1, fe i(isocoden)
xtreg safeg dtlrgdp rrcfix rrccrawlp rrcwidep rrcfloat rrcfall y1995-y2009 if safega==1&eu~=1, fe i(isocoden)
*
* WTO Disputes
*
sum year if numdispw0~=.

xtreg numdispw0 bklrgdp rrcfix rrccrawlp rrcwidep rrcfloat rrcfall y1995-y2009 if everfiled==1&eu~=1, fe i(isocoden)
xtreg numdispw0 cflrgdp rrcfix rrccrawlp rrcwidep rrcfloat rrcfall y1995-y2009 if everfiled==1&eu~=1, fe i(isocoden)
xtreg numdispw0 hplrgdp rrcfix rrccrawlp rrcwidep rrcfloat rrcfall y1995-y2009 if everfiled==1&eu~=1, fe i(isocoden)
xtreg numdispw0 dlrgdp rrcfix rrccrawlp rrcwidep rrcfloat rrcfall y1995-y2009 if everfiled==1&eu~=1, fe i(isocoden)
xtreg numdispw0 dtlrgdp rrcfix rrccrawlp rrcwidep rrcfloat rrcfall y1995-y2009 if everfiled==1&eu~=1, fe i(isocoden)
*
* % Wghtd Mean applied tariff rate, all prod WDI
*
sum year if tarappwghtd~=.
*
xtreg tarappwghtd bklrgdp y1988-y2009 if isocode~="EC", fe i(isocoden)
xtreg tarappwghtd cflrgdp y1988-y2009 if isocode~="EC", fe i(isocoden)
xtreg tarappwghtd hplrgdp y1988-y2009 if isocode~="EC", fe i(isocoden)
xtreg tarappwghtd dlrgdp y1988-y2009 if isocode~="EC", fe i(isocoden)
xtreg tarappwghtd dtlrgdp y1988-y2009 if isocode~="EC", fe i(isocoden)
*
* IEF Trade freedom
*
sum year if tradefreedom~=.
*
xtreg tradefreedom bklrgdp y1995-y2009 if isocode~="EC", fe i(isocoden)
xtreg tradefreedom cflrgdp y1995-y2009 if isocode~="EC", fe i(isocoden)
xtreg tradefreedom hplrgdp y1996-y2009 if isocode~="EC", fe i(isocoden)
xtreg tradefreedom dlrgdp y1995-y2009 if isocode~="EC", fe i(isocoden)
xtreg tradefreedom dtlrgdp y1995-y2009 if isocode~="EC", fe i(isocoden)
* **********
* Sensitivity Analysis 9: Different Regressands
*
* Binding coverage, % all prod WDI
*
sum year if bindingcov~=.
*
xtreg bindingcov bklrgdp y1995-y2009 if isocode~="EC", fe i(isocoden)
xtreg bindingcov cflrgdp y1995-y2009 if isocode~="EC", fe i(isocoden)
xtreg bindingcov hplrgdp y1995-y2009 if isocode~="EC", fe i(isocoden)
xtreg bindingcov dlrgdp y1995-y2009 if isocode~="EC", fe i(isocoden)
xtreg bindingcov dtlrgdp y1995-y2009 if isocode~="EC", fe i(isocoden)
*
* Share tariff lines w/intl peaks, % all prod WDI
*
sum year if shrtarintlpk~=.
*
xtreg shrtarintlpk bklrgdp y1988-y2009 if isocode~="EC", fe i(isocoden)
xtreg shrtarintlpk cflrgdp y1988-y2009 if isocode~="EC", fe i(isocoden)
xtreg shrtarintlpk hplrgdp y1988-y2009 if isocode~="EC", fe i(isocoden)
xtreg shrtarintlpk dlrgdp y1988-y2009 if isocode~="EC", fe i(isocoden)
xtreg shrtarintlpk dtlrgdp y1988-y2009 if isocode~="EC", fe i(isocoden)
*
* Bound rate, simple mean, %, all prod WDI
*
sum year if boundrsmpl~=.
*
xtreg boundrsmpl bklrgdp y1995-y2009 if isocode~="EC", fe i(isocoden)
xtreg boundrsmpl cflrgdp y1995-y2009 if isocode~="EC", fe i(isocoden)
xtreg boundrsmpl hplrgdp y1995-y2009 if isocode~="EC", fe i(isocoden)
xtreg boundrsmpl dlrgdp y1995-y2009 if isocode~="EC", fe i(isocoden)
xtreg boundrsmpl dtlrgdp y1995-y2009 if isocode~="EC", fe i(isocoden)
*
* Customs & Other Import Duties, % GDP WDI
*
sum year if dutiestaxy~=.
*
xtreg dutiestaxy bklrgdp y1990-y2009 if isocode~="EC", fe i(isocoden)
xtreg dutiestaxy cflrgdp y1990-y2009 if isocode~="EC", fe i(isocoden)
xtreg dutiestaxy hplrgdp y1990-y2009 if isocode~="EC", fe i(isocoden)
xtreg dutiestaxy dlrgdp y1990-y2009 if isocode~="EC", fe i(isocoden)
xtreg dutiestaxy dtlrgdp y1990-y2009 if isocode~="EC", fe i(isocoden)
*
* Taxes on Exports, % tax revenue WDI
*
sum year if expttaxr~=.
*
xtreg expttaxr bklrgdp y1990-y2009 if isocode~="EC", fe i(isocoden)
xtreg expttaxr cflrgdp y1990-y2009 if isocode~="EC", fe i(isocoden)
xtreg expttaxr hplrgdp y1990-y2009 if isocode~="EC", fe i(isocoden)
xtreg expttaxr dlrgdp y1990-y2009 if isocode~="EC", fe i(isocoden)
xtreg expttaxr dtlrgdp y1990-y2009 if isocode~="EC", fe i(isocoden)
*
* Number RTAs signed/started
*
sum year if numsign~=.
*
xtreg numsign bklrgdp y1969-y2009 if isocode~="EC", fe i(isocoden)
xtreg numsign cflrgdp y1969-y2009 if isocode~="EC", fe i(isocoden)
xtreg numsign hplrgdp y1969-y2009 if isocode~="EC", fe i(isocoden)
xtreg numsign dlrgdp y1969-y2009 if isocode~="EC", fe i(isocoden)
xtreg numsign dtlrgdp y1969-y2009 if isocode~="EC", fe i(isocoden)
*
* Clean up and close down
*
log close
!del crap*.*
drop _all
*clear matrix
set more 0
set linesize 80
set mem 10m
exit,clear
